# vKVM Scripts

install, build & run all subprojects with one script

## Prerequisites

- *nix operating system
- package manager (either apt, pacman or homebrew)
- git
- (optional) ssh key added to your gitlab profile

----

## Usage


**install**

run this once in a empty directory.

as a user:
```sh
git clone https://gitlab.repo.digitech.hs-emden-leer.de/link/projekte/ws19/vkvm-new/installation.git
cd installation
install.sh
```

or as a project developer (ssh key needed):
```sh
git clone ssh://git@gitlab.repo.digitech.hs-emden-leer.de:2222/link/projekte/ws19/vkvm-new/installation.git
cd installation
install.sh -dev
```


**update all subprojects**

```sh
update.sh
```

**build all projects**

```sh
build.sh
```

**checkout development versions**

```sh
checkout-dev.sh
```

## Troubleshooting

please make sure that all of the following packages have been installed by your package manager:
- clang
- clang_tidy
- make
- cmake
- catch2
- fltk
- tmux
