#!/usr/bin/env bash

echo 'building all components'

cd ..

#building library first
mkdir library/build
cd library/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make library
cd ../..


mkdir demo/build
cd demo/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make Demo
cd ../..

mkdir gui/build
cd gui/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make GUI
cd ../..

mkdir shared-memory/build
cd shared-memory/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make SharedMemory
cd ../..

mkdir simple-draw/build
cd simple-draw/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make SimpleDraw
cd ../..

mkdir terminal/build
cd terminal/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make Terminal
cd ../..

mkdir text-renderer/build
cd text-renderer/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make TextRenderer
cd ../..
