#!/bin/bash

cd ..

tmux new-session -s vkvm -d bash
tmux split-window -v bash
tmux split-window -h -p 50 bash
tmux select-pane -t 0
tmux split-window -h -p 50 bash
tmux select-pane -t 3


tmux send -t vkvm:0.0 "cd shared-memory/build ; ./SharedMemory" C-m
sleep 1
tmux send -t vkvm:0.0 "override" C-m
sleep 2
tmux send -t vkvm:0.1 "cd gui/build ; ./GUI" C-m
sleep 1
tmux send -t vkvm:0.2 "cd text-renderer/build ; ./TextRenderer" C-m
tmux -2 attach-session -d
